<template>
    <div>
        <!--
                <p>Completed Tasks: {{todos.filter(todo => {return todo.done === true}).length}}</p>
                <p>Pending Tasks: {{todos.filter(todo => {return todo.done === false}).length}}</p>
        -->
        <section class="section todo-item-box">
            <div class="box" v-for="todo in ToDoList" :key="todo.id"
                :class="{ ' has-text-primary': todo.is_complete }">
                <ToDoItem
                        v-bind:todo="todo"
                        v-on:del-todo="$emit('del-todo', todo.id)"
                        v-on:markDone="$emit('markDone', todo)"
                />
            </div>
        </section>
    </div>
</template>

<script type="text/javascript">

    import ToDoItem from './ToDoItem.vue'

    export default {
        name: 'ToDoList',
        props: ["ToDoList"],
        components: {
            ToDoItem
        }
    };
</script>
<style lang="scss" scoped>
    ul {
        padding: 0;
    }
        li {
            list-style: none;
            border: 1px solid #ccc;
            margin: 2px 0;
            padding: 10px;
            background: #e4e4e4;
            text-align: left;
        }
    .todo-item-box {
        .box {
            margin-bottom: 0.5rem;
        }
    }

</style>